## Pull Request

This template outlines which information should be contained in a pull request description. Please adhere to this structure as closely as possible and ensure that you can check off every box in the [checklist](#checklist). If have any questions or are unsure, ask - we're happy to help!

- Motivation behind this PR. What problem does it solve?
- Include the link to the corresponding issue(s).

## Changes

- A clear and concise description of the included changes.
- Type(s) of changes. Options (multiple choice, use [x] where appropriate):
    - [ ] New feature.
    - [ ] Bug-fix.
    - [ ] Documentation.
    - [ ] Breaking change.

## Checklist:

I have ...
- [ ] ...read the [contribution guidelines](https://github.com/enlite-ai/maze/blob/main/.github/CONTRIBUTING.md).
- [ ] ...created an issue prior to opening this pull request.
- [ ] ...verified that `pytest test` passes successfully.
- [ ] ...added at least one test that checks whether my changes work as intended.
- [ ] ...updated the documentation where reasonable.
- [ ] ...verified that the documentation can be built (if changes to the documentation were made).

<!--- This template was inspired by the one used by stable-baselines3: https://github.com/DLR-RM/stable-baselines3/blob/master/.github/PULL_REQUEST_TEMPLATE.md -->
